#!/bin/sh

set -x

#t=/tmp/htk3s$$
#trap "rm -rf $t" EXIT
#mkdir $t

cd /proj/aesop/proc/HTK_three_states
#rec=model
#rec is a directory containing initial specification of stuff for
# a particular try at building a HMM.

phones=$(cat phones)

#echo training/mfcc/*.mfcc >trainlist

#model/proto - prototypes (v, c, s)
#model/hmm0 - first iteration (v, c, s)


for phn in $phones
do

#One of our files

HInit -T 00001 model/proto/$phn training/mfcc/A054_Russian_highlow_min_CV_manual_AL.mfcc  -H model/proto/ -M model/hmm0  -1 $phn -L training/lab 

#Ladan's file

HInit -T 00001 model/proto/$phn training/mfcc/photo_.mfcc  -H model/proto/ -M model/hmm0  -1 $phn -L training/lab 


#List of files
HInit  model/proto/$phn -S trainlist -H model/proto/ -M model/hmm0  -1 $phn -L training/lab 


done

#rm -rf dir2
#mkdir dir2
#for phn in $phones
#do
#  HRest -T 1 -X lab -C $rec.config -S $t/trainlist -H $rec.macros -M dir2 -l #$phn -L training/lab dir1/$phn
#done
#cat dir2/$phones >dir2/hmmdefs
